View Issue Details

IDProjectCategoryView StatusLast Update
0002956GNUnetcadet servicepublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityurgentSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002956: Jul 22 10:26:45-523995 mesh-27110 ERROR Assertion failed at gnunet-service-mesh.c:1252.
DescriptionAgain another one running 'make check' in DV.
TagsNo tags attached.

Relationships

parent of 0002963 closedFlorian Dold Jul 22 20:22:45-582528 dv-28437 ERROR Assertion failed at set_api.c:545. 
child of 0001795 confirmed DV is not implemented 

Activities

Bart Polot

2013-07-22 19:41

manager   ~0007265

Right now I don't see any more mesh errors (or warnings).

The testcase seems to stop after one peer creates two tunnels to one peer each and sends a GNUNET_MESSAGE_TYPE_SET_P2P_OPERATION_REQUEST (581) message. The message arrives correctly at each tunnel on port 19 but the only handlers are: 583 584 586 585 582, so the callback is never activated.

Bart Polot

2013-07-22 19:43

manager   ~0007266

By the way, the tunnels have the nobuffer option activated, this is probably not the desired behavior.

Christian Grothoff

2013-07-22 20:52

manager   ~0007269

Ok, now SET crashes, waiting for child bug in SET (0002963).

Issue History

Date Modified Username Field Change
2013-07-22 10:33 Christian Grothoff New Issue
2013-07-22 10:33 Christian Grothoff Status new => assigned
2013-07-22 10:33 Christian Grothoff Assigned To => Bart Polot
2013-07-22 19:41 Bart Polot Note Added: 0007265
2013-07-22 19:43 Bart Polot Note Added: 0007266
2013-07-22 19:57 Bart Polot Status assigned => feedback
2013-07-22 20:51 Christian Grothoff Relationship added parent of 0002963
2013-07-22 20:52 Christian Grothoff Note Added: 0007269
2013-07-22 20:52 Christian Grothoff Status feedback => assigned
2013-07-22 20:53 Christian Grothoff Assigned To Bart Polot => Christian Grothoff
2013-07-22 20:53 Christian Grothoff Status assigned => acknowledged
2013-07-22 20:53 Christian Grothoff Relationship added child of 0001795
2013-08-11 23:32 Christian Grothoff Status acknowledged => assigned
2013-08-11 23:32 Christian Grothoff Status assigned => resolved
2013-08-11 23:32 Christian Grothoff Fixed in Version => 0.10.0
2013-08-11 23:32 Christian Grothoff Resolution open => fixed
2013-12-24 20:54 Christian Grothoff Status resolved => closed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service